%define module	pydbus

Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 9
Summary:	Pythonic DBus library
Group:		Development/Python
License:	LGPLv2+
URL:		https://pypi.python.org/pypi/pydbus
Source0:	https://pypi.io/packages/source/p/pydbus/%{module}-%{version}.tar.gz
# upstream fix, not yet in release
# https://github.com/LEW21/pydbus/commit/ff792feb45bbdc0dd6a9ff7453825e34b6554865
Patch1:		0001-make-direction-attribute-conforming-to-introspect.dt.patch
# patch submitted for upstream inclusion, not yet merged
# https://github.com/LEW21/pydbus/pull/63
Patch2:		0002-Support-asynchronous-calls-58.patch
# patch submitted for upstream inclusion, not yet merged
# https://github.com/LEW21/pydbus/pull/64
Patch3:		0003-Support-transformation-between-D-Bus-errors-and-exce.patch
BuildArch:	noarch

%description
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python.

%package -n	python3-%{module}
Summary:	Pythonic DBus library
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(pygobject)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python 3.

%prep
%autosetup -n %{module}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}-*.egg-info/
%{python3_sitelib}/%{module}/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.6.0-9.mga9
+ Revision: 1822785
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.6.0-8.mga9
+ Revision: 1775178
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.6.0-7.mga9
+ Revision: 1706618
- rebuild for python 3.9

* Wed Jul 22 2020 ovitters <ovitters> 0.6.0-6.mga8
+ Revision: 1608083
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1532039
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.6.0-4.mga8
+ Revision: 1441441
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.6.0-3.mga7
+ Revision: 1353879
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1289770
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1207473
- initial package python-pydbus

